Subject: Re: bug#31628: 26.1; Problem in read-multiple-choice's docstring

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 29 May 2018 17:39:43 +0100

Drew Adams <[email-masked]> writes:

>> Technically, a list of (A B C) is as much an alist as a list of (A . B),
>> but I agree that the docstring can be clarified a bit.
>
> No - assuming you mean that A, B, and C are elements of the
> list and they are atoms, not cons cells.

You misunderstood the wording that Damien and I used.  We both referred
to lists *of elements* (A B C), not lists *of form* (A B C).  In other
words, (A B C) and (A . B) describe the structure of the list's
elements, not that of the list itself.

The preposition "of" in "list of (A B C)" totally disambiguates this
distinction for me; if the wording is not as clear to others, then
perhaps someone will suggest an improvement.

-- 
Basil